package kcg.faics.cmmn.bbs;

/**
 * 게시판형 공용 첨부파일 VO.
 * 
 * 1. 모든 게시판형 첨부파일은 해당 VO를 상속받아 사용한다.
 * 2. 필드명이 다른 경우 Data처리 라이브러리(현재 MyBatis)의 Alias 기능을 활용하여 매칭시킨다.
 * 
 * @author kimnomin
 *
 */
public class BaseFileVO {
	/**
	 * 파일 번호.
	 */
	private int seq;
	/**
	 * 파일 순서 번호.
	 */
	private int orders;
	/**
	 * 파일 이름.
	 */
	private String orgName;
	/**
	 * 파일 저장 이름.
	 */
	private String saveName;
	/**
	 * 게시글 번호.
	 */
	private int parentSeq;
	
	/**
	 * 파일 번호를 반환한다.
	 * 
	 * @return 파일 번호
	 */
	public final int getSeq() {
		return seq;
	}
	/**
	 * 파일 번호를 설정한다.
	 * 
	 * @param seq 파일 번호
	 */
	public final void setSeq(final int seq) {
		this.seq = seq;
	}
	/**
	 * 파일 순서 번호를 반환한다.
	 * 
	 * @return 파일 순서 번호
	 */
	public final int getOrders() {
		return orders;
	}
	/**
	 * 파일 순서 번호를 설정한다.
	 * 
	 * @param order 파일 순서 번호
	 */
	public final void setOrders(final int order) {
		this.orders = order;
	}
	/**
	 * 파일 이름을 반환한다.
	 * 
	 * @return 파일 이름
	 */
	public final String getOrgName() {
		return orgName;
	}
	/**
	 * 파일 이름을 설정한다.
	 * 
	 * @param orgName 파일 이름
	 */
	public final void setOrgName(final String orgName) {
		this.orgName = orgName;
	}
	/**
	 * 파일 저장 이름을 반환한다.
	 * 
	 * @return 파일 저장 이름
	 */
	public final String getSaveName() {
		return saveName;
	}
	/**
	 * 파일 저장 이름을 설정한다.
	 * 
	 * @param saveName 파일 저장 이름
	 */
	public final void setSaveName(final String saveName) {
		this.saveName = saveName;
	}
	/**
	 * 게시글 번호를 반환한다.
	 * 
	 * @return 게시글 번호
	 */
	public final int getParentSeq() {
		return parentSeq;
	}
	/**
	 * 게시글 번호를 설정한다.
	 * 
	 * @param parentSeq 게시글 번호
	 */
	public final void setParentSeq(final int parentSeq) {
		this.parentSeq = parentSeq;
	}
}
